summaryrefslogtreecommitdiff
path: root/dev-run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'dev-run.sh')
-rwxr-xr-xdev-run.sh13
1 files changed, 8 insertions, 5 deletions
diff --git a/dev-run.sh b/dev-run.sh
index 7847063..559e602 100755
--- a/dev-run.sh
+++ b/dev-run.sh
@@ -1,15 +1,18 @@
#!/bin/bash
+
+echo "Checking package"
+mypy --strict --namespace-packages --ignore-missing-imports --cache-dir=/dev/null src/collector/*.py # || exit 1
+black --line-length 120 src/collector/*.py # || exit 1
+pylint --max-line-length 120 src/collector/*.py # || exit 1
+
+
bash quickstart.sh -b || exit 1
-sleep 2
+sleep 3
JWT=$(curl -k http://localhost:8000/api/v1.0/auth -X POST -p -u usr:pwd | jq -r .access_token) || exit 1
curl -k --data-binary @example_data_1.json -H "Authorization: Bearer $JWT" https://localhost:1443/sc/v0/add || exit 1
exit 0
-echo "Checking package"
-mypy --strict --namespace-packages --ignore-missing-imports --cache-dir=/dev/null src/*.py || exit 1
-black --line-length 120 src/*.py || exit 1
-pylint --max-line-length 120 src/*.py || exit 1
echo "Checking tests"
#mypy --strict --namespace-packages --ignore-missing-imports --cache-dir=/dev/null tests/*.py || exit 1